package com.simuwang.base.mapper;

import com.simuwang.base.pojo.dos.EmailTemplateDataRuleDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface EmailTemplateDataRuleMapper {

    List<EmailTemplateDataRuleDO> queryByTemplateId(@Param("templateIdList") List<Integer> templateIdList);

    void batchInsert(@Param("itemDoList") List<EmailTemplateDataRuleDO> emailTemplateDataRuleDOList);

    void batchUpdate(@Param("itemDoList")List<EmailTemplateDataRuleDO> editList);

    void deleteByTemplateId(@Param("templateIdList")List<Integer> idList,@Param("userId") Integer userId);
}
